<?php

include 'load.php';
$branch_id = $_SESSION['branch_id'];
if(isset($_GET['coid'])){
	$coid=mysqli_real_escape_string($conn,$_GET['coid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobilecustomers WHERE coid='$coid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='customerlist.php';</script>";
}


if (isset($_POST['update'])) {
    $coid = $_GET['coid'];
    $cname = $_POST['cname'];
    $cemail = $_POST['cemail'];
    $cphone = $_POST['cphone'];
    $caddress = $_POST['caddress'];
	$route = $_POST['route'];
    $ccredit = $_POST['ccredit'];
	$comission = $_POST['comission'];
    $status = $_POST['status'];

    if (!isset($errMSG)) {
        $stmt = $DB_con->prepare('UPDATE mobilecustomers
            SET cname=:cname,
            cemail=:cemail,
            cphone=:cphone,
            caddress=:caddress,
			route=:route,
            credit_limit=:ccredit,
            status=:status,
			comission=:comission,
			branch_id=:branch_id
            WHERE coid=:coid');
        $stmt->bindParam(':cname', $cname);
        $stmt->bindParam(':cemail', $cemail);
        $stmt->bindParam(':cphone', $cphone);
        $stmt->bindParam(':caddress', $caddress);
		$stmt->bindParam(':route', $route);
        $stmt->bindParam(':ccredit', $ccredit);
        $stmt->bindParam(':status', $status);
		$stmt->bindParam(':comission', $comission);
		$stmt->bindParam(':branch_id', $branch_id);
        $stmt->bindParam(':coid', $coid);

        if ($stmt->execute()) {
            $successMSG = "Customers Successfully Updated ...";
            header("refresh:2;customerlist.php"); // redirects image view page after 2 seconds.
        } else {
            $errMSG = "Sorry, Data Could Not Be Updated!";
        }
    }
}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Home | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Customer Management</h4>
<h6>Edit/Update Customer</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
<?php

if(isset($errMSG)){

?>
									
<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Error Alerts</h6>
<div class="text-white"> <?php echo $errMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
									
<?php

}
	
else if(isset($successMSG)){

?>
									
<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Success Alerts</h6>
<div class="text-white"><?php echo $successMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
									
<?php

}

?>
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Name</label>
<input type="text" name="cname" class="form-control" placeholder="Enter Name" value="<?php echo $view_result['cname']; ?>" >
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Email</label>
<input type="text" name="cemail" class="form-control" placeholder="Enter Email" value="<?php echo $view_result['cemail']; ?>" >
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Phone</label>
<input type="text" name="cphone" class="form-control" placeholder="Enter Phone" value="<?php echo $view_result['cphone']; ?>" >
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<div class="form-group">
<label for="fullName">Address</label>
<textarea name="caddress" class="form-control" placeholder="Enter Address"><?php echo $view_result['caddress']; ?></textarea>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Route</label>
<select name="route" class="form-control select2" id="inputroute">
										<option value="<?php

												$id = $view_result['route']; 

												$query = $DB_con->prepare('SELECT rtid FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['rtid'];

												?>"><?php

												$id = $view_result['route'];  

												$query = $DB_con->prepare('SELECT routename FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['routename'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileroute ORDER BY rtid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['rtid']; ?>"><?php echo $row['routename']; ?></option>
												<?php 
												} 
												}
												?>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Credit Limit</label>
<input type="text" name="ccredit" class="form-control" placeholder="Enter Credit Limit" value="<?php echo $view_result['credit_limit']; ?>" >
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Comission(%)</label>
<input type="text" name="comission" class="form-control" placeholder="Enter Comission" value="<?php echo $view_result['comission']; ?>" >
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12">
<a href="customerlist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>